<?php

class GestaoResultados extends CI_Controller
{
    private $modelPagina = 'gestaoresultados_model';

    function __construct()
    {
        parent::__construct();
        $this->load->helper(get_helpers_paginas());
        ValidacaoUtils::verificarLoginUtils($this->session);
        ValidacaoUtils::nivelTemAcessoPermitido($this->session->userdata('nivel'), $this->router->class);
        ValidacaoUtils::carregarModelsPagina(array($this->modelPagina, 'servicos_model', 'agenda_model', 'servicos_model'), $this);
    }

    function index()
    {
        $this->data['manutencoesRealizadas'] = $this->gestaoresultados_model->getVendasValorPorVendedor();
        $this->data['servicosMaisRealizados'] = $this->gestaoresultados_model->getProdutosMaisVendidos();
        $this->data['pecasMaisUsadas'] = $this->gestaoresultados_model->getPecasMaisUsadas();
        $this->data['gastosMensalPorManutencoes'] = $this->gestaoresultados_model->getGastosMensalPorManutencoes();
        $this->data['servicosPorPeriodo'] = $this->gestaoresultados_model->getValorVendasPorPeriodo();
        $this->data['pecasPorPeriodo'] = $this->gestaoresultados_model->getVendasPorPeriodo();
//        $this->data['lancamentosMaiorPorValor'] = $this->gestaoresultados_model->getLancamentosMaiorPorValor();
//        $this->data['notificacaoMaior'] = $this->gestaoresultados_model->getMaioresNotOcorrencia("multanotificacao");
//        $this->data['ocorrenciasMaior'] = $this->gestaoresultados_model->getMaioresNotOcorrencia("livro_ocorrencia");
//
//        $this->data['gastosGas'] = $this->gestaoresultados_model->getGastosGeralPorCategoria("gas");
//        $this->data['gastosLuz'] = $this->gestaoresultados_model->getGastosGeralPorCategoria("luz");
//
//        $this->data['gastosElevadorr'] = $this->gestaoresultados_model->getGastosMensalPorCategoria("elevador");
//        $this->data['gastosManutencao'] = $this->gestaoresultados_model->getGastosMensalPorCategoria("manutencao");
//        $this->data['gastosLuzAnual'] = $this->gestaoresultados_model->getGastosMensalPorCategoria("luz");
//        $this->data['gastosGasAnual'] = $this->gestaoresultados_model->getGastosMensalPorCategoria("gas");

        $this->data["view"] = "sistema/gestaoResultados/gestaoResultados";
        $this->load->view("sistema/temas/topoSistema", $this->data);
    }

    public function graficosDiarios()
    {

        $ultimos30_dias = 'DT_NOTA BETWEEN DATE_ADD(now(), INTERVAL -30 DAY) AND now1()';
        $ultimos07_dias = 'DT_NOTA BETWEEN DATE_ADD(now(), INTERVAL -12 MONTH) AND now()';
        $diaAtual = 'DT_NOTA = CURDATE()';



        $this->data['manutencoesRealizadas'] = $this->gestaoresultados_model->getVendasValorPorVendedor($diaAtual);
        $this->data['servicosMaisRealizados'] = $this->gestaoresultados_model->getProdutosMaisVendidos($diaAtual);
//        $this->data['pecasMaisUsadas'] = $this->gestaoresultados_model->getPecasMaisUsadas();
//        $this->data['gastosMensalPorManutencoes'] = $this->gestaoresultados_model->getGastosMensalPorManutencoes();
//        $this->data['servicosPorPeriodo'] = $this->gestaoresultados_model->getValorVendasPorPeriodo();
//        $this->data['pecasPorPeriodo'] = $this->gestaoresultados_model->getVendasPorPeriodo();

        $this->data["view"] = "sistema/gestaoResultados/gestaoResultadosDiario";
        $this->load->view("sistema/temas/topoSistema", $this->data);

    }

    public function graficoMensal()
    {
        $mesForm = preg_replace('/[`^~\'"]/', '', $this->input->post('mesConsutal'));
        $mesAno = new DateTime();
        $mesASerConsultdo = $mesForm==''? $mesAno->format('m'):$mesForm;
        $dataConsulta = date('Y-'.$mesASerConsultdo.'-d');


        $ultimos30_dias = 'DT_NOTA BETWEEN DATE_ADD(now(), INTERVAL -30 DAY) AND now()';
        $ultimos07_dias = 'DT_NOTA BETWEEN DATE_ADD(now(), INTERVAL -12 MONTH) AND now()';
        $diaAtual = 'DT_NOTA = CURDATE()';

//        $this->data['manutencoesRealizadas'] = $this->gestaoresultados_model->getVendasValorPorVendedor($ultimos30_dias);
        $this->data['manutencoesRealizadas'] = $this->gestaoresultados_model->getVendasValorPorVendedorPorMes($dataConsulta);
        $this->data['vendasDiariasPorMes'] = $this->gestaoresultados_model->getVendasValorDiariasPorMes($dataConsulta);
        $this->data['servicosMaisRealizados'] = $this->gestaoresultados_model->getProdutosMaisVendidos($ultimos30_dias);
//        $this->data['pecasMaisUsadas'] = $this->gestaoresultados_model->getPecasMaisUsadas();
        $this->data['gastosMensalPorManutencoes'] = $this->gestaoresultados_model->getGastosMensalPorNotas();
//        $this->data['servicosPorPeriodo'] = $this->gestaoresultados_model->getValorVendasPorPeriodo();
//        $this->data['pecasPorPeriodo'] = $this->gestaoresultados_model->getVendasPorPeriodo();


        $this->data["mesConsultado"] = $mesASerConsultdo;
        $this->data["view"] = "sistema/gestaoResultados/gestaoResultadosMensal";
        $this->load->view("sistema/temas/topoSistema", $this->data);

    }


    public function graficosAnual()
    {

        $ultimos30_dias = 'DT_NOTA BETWEEN DATE_ADD(now(), INTERVAL -30 DAY) AND now()';
        $ultimosAno = 'DT_NOTA BETWEEN DATE_ADD(now(), INTERVAL -12 MONTH) AND now()';
        $diaAtual = 'DT_NOTA = CURDATE()';

        $this->data['manutencoesRealizadas'] = $this->gestaoresultados_model->getVendasValorPorVendedor($ultimosAno);
        $this->data['servicosMaisRealizados'] = $this->gestaoresultados_model->getProdutosMaisVendidos($ultimosAno);
//        $this->data['pecasMaisUsadas'] = $this->gestaoresultados_model->getPecasMaisUsadas();
        $this->data['gastosMensalPorManutencoes'] = $this->gestaoresultados_model->getGastosMensalPorManutencoes();
        $this->data['gastosMensalPorManutencoesAnoCorrente'] = $this->gestaoresultados_model->getGastosMensalPorManutencoesAnoCorrente();
//        $this->data['servicosPorPeriodo'] = $this->gestaoresultados_model->getValorVendasPorPeriodo();
//        $this->data['pecasPorPeriodo'] = $this->gestaoresultados_model->getVendasPorPeriodo();

        $this->data["view"] = "sistema/gestaoResultados/gestaoResultadosAnual";
        $this->load->view("sistema/temas/topoSistema", $this->data);

    }
}

